Subject: bug#27155: [PATCH 0/2] Support service extensions on the "final" service values

From: Ricardo Wurmus <[email-masked]>
Date: Mon, 05 Jun 2017 14:52:50 +0200

I think it is useful to have the ability to add rewriters at the end of
service composition.  In my opinion it is always good to have an escape
hatch, and this seems to fit the bill.  But I agree that it is not
an elegant solution, and I wouldn’t want to advocate using it.

As to your second idea: it seems tedious for service writers to have to
anticipate the ways in which services could be extended (here given by
providing extension points).

Would it make more sense to allow *extensions* to specify how they
should be applied rather than letting services define extension points?
This would shift the burden away from services to service extensions.
Extensions would still need to provide a way of extending the parent
service, but this could be optional.

--
Ricardo

GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
https://elephly.net